from setuptools import setup, find_packages

setup(
    name='llm-utility-pack',
    version='1.1',
    author='Carlo Moro',
    author_email='cnmoro@gmail.com',
    description="Mega pack of utilities for LLMs, pdfs and other resources.",
    packages=find_packages(),
    package_data={
        "utility_pack": ["*"]
    },
    include_package_data=True,
    install_requires=[
        "cloudpickle",
        "pytz",
        "ollama",
        "requests",
        "aiohttp",
        "asyncio",
        "lmdb",
        "markdown",
        "fasttext",
        "deskew",
        "semantic-compressor",
        "PyMuPDF",
        "pytesseract",
        "opencv-python-headless",
        "scikit-image",
        "Pillow",
        "pandas",
        "scikit-learn",
        "faiss-cpu",
        "numpy",
        "thefuzz[speedup]",
        "strive-ranker",
        "shortuuid",
        "prophet",
        "prince",
        "scipy",
        "onnxruntime",
        "tokenizers",
        "tqdm",
        "chonkie==0.5.1",
        "pymongo"
    ],
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.7'
)